<?php

/** @var \Laravel\Lumen\Routing\Router $router */

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

// basic controllers
$router->get('/', [
    'as' => 'index',
    'uses' => 'IndexController@get'
]);

$router->get('/subforum/{subforum}[/{page}]', [
    'as' => 'subforum',
    'uses' => 'ThreadListController@subforum'
]);

$router->get('/thread/{thread}[/{page}]', [
    'as' => 'thread',
    'uses' => 'ThreadController@get'
]);

// thread listings
$router->get('/popular-threads', [
    'as' => 'popular-threads',
    'uses' => 'ThreadListController@popular'
]);

$router->get('/latest-threads', [
    'as' => 'latest-threads',
    'uses' => 'ThreadListController@latest'
]);

// events
$router->get('/events', [
    'as' => 'events',
    'uses' => 'EventController@get'
]);

// user profile
$router->get('/users[/{page}]', [
    'as' => 'users',
    'uses' => 'UserController@all'
]);

$router->get('/user/{user}', [
    'as' => 'user',
    'uses' => 'UserController@one'
]);

$router->get('/user/{user}/posts[/{page}]', [
    'as' => 'user.posts',
    'uses' => 'UserController@posts'
]);

$router->get('/user/{user}/threads[/{page}]', [
    'as' => 'user.threads',
    'uses' => 'UserController@threads'
]);

$router->get('/user/{user}/bans', [
    'as' => 'user.bans',
    'uses' => 'UserController@bans'
]);

// preferences
$router->get('/preferences', [
    'as' => 'preferences',
    'uses' => 'PreferenceController@get'
]);

$router->post('/preferences', [
    'as' => 'preferences.submit',
    'uses' => 'PreferenceController@post'
]);

// disclaimer
$router->get('/disclaimer', [
    'as' => 'disclaimer',
    'uses' => 'DisclaimerController@get'
]);

// easter egg
$router->get('/lovelain', [
    'as' => 'easteregg',
    'uses' => 'EasterEggController@get'
]);
